Subject: [manet] kernel-aodv(v2.0.1) gateway problems

From: Michael Halpin <[email-masked]>
Date: Wed, 12 Mar 2003 18:52:38 +0000

Hi all,
 I was wondering if someone could help with this problem. I have three
laptops configured  as

a<-->b<-->c

with a and c out of range of each other. c is my gateway node, with one
interface (eth0) connected to a wired lan(one subnet), and eth1 on the the
on the other subnet. within the manet aodv works fine. But when  using c as
a gateway to the wired lan I can only connect to the exterior network using
nodes b and c. When I try to connect using node a, it doesn't seem to
generate rreq's to c, as I expected but intead arp messages for c (I figure
this is because nodes a and b are configured with the their default gateways
as node c's wireless interface. And because a and c do not share a
link-layer  connection, the arp request can't be satisfied). 

I've tried turning off the arp's on node a i.e. "ifconfig eth0 -arp", but to
no avail, and while I can connect (temporarily- 3 or 4 icmp replies before
node c's wireless interface starts generating arps for node a)  when I
configure node a's gateway to be node b, this seems to defeat the purpose of
having an ad-hoc network.

Am I over-looking something simple, or is the internet-connectivity limited
(because of the gateway's need for a layer 2 connection) to one-hop (on the
ad-hoc side) from the gateway? (if its any help I'm running suse 8.0, kernel
2.4.18 on all machines)

All help gratefully appreciated,
Thanks In Advance,
Michael

_______________________________________________
manet mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/manet

---

From: "Luke Klein-Berndt" <[email-masked]>
Date: Wed, 12 Mar 2003 14:43:53 -0500

Hi,
	I am sorry about that... A couple of other people have reported
this problem, I think I have found a solution but I haven't had time to
try it out. If anyone else is trying to get this to work, email me off
the list and we can work together to fix it.

-Luke Klein-Berndt

> -----Original Message-----
> From: [email-masked] [mailto:[email-masked]] On 
> Behalf Of Michael Halpin
> Sent: Wednesday, March 12, 2003 1:53 PM
> To: [email-masked]'
> Subject: [manet] kernel-aodv(v2.0.1) gateway problems
> 
> 
> Hi all,
>  I was wondering if someone could help with this problem. I 
> have three laptops configured  as
> 
> a<-->b<-->c
> 
> with a and c out of range of each other. c is my gateway 
> node, with one interface (eth0) connected to a wired lan(one 
> subnet), and eth1 on the the on the other subnet. within the 
> manet aodv works fine. But when  using c as a gateway to the 
> wired lan I can only connect to the exterior network using 
> nodes b and c. When I try to connect using node a, it doesn't 
> seem to generate rreq's to c, as I expected but intead arp 
> messages for c (I figure this is because nodes a and b are 
> configured with the their default gateways as node c's 
> wireless interface. And because a and c do not share a 
> I've tried turning off the arp's on node a i.e. "ifconfig 
> eth0 -arp", but to no avail, and while I can connect 
> (temporarily- 3 or 4 icmp replies before node c's wireless 
> interface starts generating arps for node a)  when I 
> configure node a's gateway to be node b, this seems to defeat 
> the purpose of having an ad-hoc network.
> 
> Am I over-looking something simple, or is the 
> internet-connectivity limited (because of the gateway's need 
> for a layer 2 connection) to one-hop (on the ad-hoc side) 
> from the gateway? (if its any help I'm running suse 8.0, 
> kernel 2.4.18 on all machines)
>